package gov.va.vss.persistence.queryCustomization.fieldTypes.benefitingService;

import gov.va.vss.model.benefitingService.BenefitingService;
import gov.va.vss.persistence.queryCustomization.fieldTypes.ModelAssociationFieldType;

public enum BenefitingServiceFieldType implements ModelAssociationFieldType {
	FACILITY("facility"), //
	TEMPLATE("template"), //
	BENEFITING_SERVICE_ROLES("benefitingServiceRoles"), //
	VOLUNTEER_ASSIGNMENTS("volunteerAssignments"), //
	;

	private String fieldName;

	private BenefitingServiceFieldType(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getFieldName() {
		return fieldName;
	}

	@Override
	public Class<?> getModelClass() {
		return BenefitingService.class;
	}

}